Summary: Binary Analysis Tool
Name: bat
Version: 23.0
Release: 1%{?dist}
URL: http://www.binaryanalysis.org/
Source0: http://www.binaryanalysis.org/download/fedora/%{name}-%{version}.tar.gz
License: ASL 2.0
Group: Development/Tools
BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
Requires: bat-extratools >= %{version}
Requires: bat-extratools-java >= %{version}
Requires: python-magic
Requires: e2tools
Requires: squashfs-tools
Requires: fuse
Requires: module-init-tools
Requires: xz-lzma-compat
Requires: cabextract
Requires: unshield
Requires: p7zip
Requires: p7zip-plugins
Requires: mtd-utils
Requires: mtd-utils-ubi
Requires: lzip
Requires: lzop
Requires: fuseiso
Requires: arj
Requires: giflib-utils
Requires: gd-progs
Requires: icoutils
Requires: rpm-python
Requires: upx
Requires: poppler-utils
Requires: netpbm-progs
Requires: lrzip
Requires: ncompress
Requires: python-pillow
Requires: vorbis-tools
Requires: eot-utils
Requires: libmp4v2
Requires: wxPython
Requires: ctags
Requires: python-matplotlib
Requires: pydot
Requires: bsdiff
Requires: fonttools
Requires: python-reportlab
Requires: liberation-sans-fonts
Requires: clamav
Requires: john
Requires: python-psycopg2
Requires: unrar

%description
The Binary Analysis Tool is a modular framework that assists with auditing
the contents of compiled software. It makes it easier and cheaper to look
inside technology, and this helps compliance and due diligence activities.

The tool is freely available to everyone. The community can use it and
participate in further development, and work together to help reduce errors
when shipping devices or products containing Free and Open Source Software.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install -O1 --root=%{buildroot}

%files
%doc LICENSE ChangeLog
%{_bindir}/*
%{python_sitelib}/bat*
%dir %{_sysconfdir}/bat
%config(noreplace) %{_sysconfdir}/bat/bat-scan.config
%dir %{_sysconfdir}/bat/configs
%config(noreplace) %{_sysconfdir}/bat/configs/*-config

%changelog
* Mon Nov 23 2015 Wei-Lun Chao <bluebat@member.fsf.org> - 23.0-1
- Update to 23.0

* Mon Jan 17 2011 Armijn Hemel <armijn@binaryanalysis.org> - 4.0-1
- Initial Package
